com.google.gwt.user.client.ui

## Interface HasCaption

    public interface HasCaption

A widget that implements this interface has a caption which can be set and retrieved using these methods.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getCaption()` Gets this widget's caption.
`void` `setCaption(java.lang.String caption)` Sets this widget's caption.

### Method Detail

#### getCaption

    java.lang.String getCaption()

Gets this widget's caption.

Returns:
  the caption.

#### setCaption

    void setCaption(java.lang.String caption)

Sets this widget's caption.

Parameters:
  `caption` - the new caption.